Skip to content
GET/{organizationId}/crm/contacts/segments/{segmentIdOrKey}

Get segment

Returns a specific contact segment with all of its details

Required permissions:

  • mandate.read

Path Parameters

organizationIdstringrequired
segmentIdOrKeystringrequired

minLength: 1

Query Parameters

mandateIdstringrequired
typestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
includeBuiltInSegmentsbooleanoptional

Default: true

includeUserSegmentsbooleanoptional

Default: false

Authentication: X-API-Key

Request

GET/{organizationId}/crm/contacts/segments/{segmentIdOrKey}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/crm/contacts/segments/{segmentIdOrKey}?mandateId=string&type=member' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

keystringrequired

minLength: 1

maxLength: 30

typestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
namestringrequired

minLength: 1

maxLength: 40

hintstringrequired

maxLength: 80

sortOrderintegerrequired

minimum: 0

maximum: 9007199254740991

Additional properties are not allowed.

userIdstringrequired

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "key": "string",
  "type": "member",
  "name": "string",
  "hint": "string",
  "sortOrder": 0,
  "filter": {
    "operator": "and",
    "groups": [
      {
        "operator": "and",
        "fields": [
          {
            "path": "string",
            "comparator": "exists"
          }
        ]
      }
    ]
  },
  "userId": "string",
  "sharedWith": {
    "organization": "000000000000000000000001",
    "organizationName": "string"
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}